org.apache.xpath.objects

## Class DTMXRTreeFrag

- java.lang.Object
- - org.apache.xpath.objects.DTMXRTreeFrag

    public final class DTMXRTreeFrag
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DTMXRTreeFrag(int dtmIdentity, XPathContext xctxt)`

### Method Summary

Methods
`void` `destruct()`
`boolean` `equals(java.lang.Object obj)`
`int` `getDTMIdentity()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DTMXRTreeFrag

    public DTMXRTreeFrag(int dtmIdentity,
                 XPathContext xctxt)

### Method Detail

#### destruct

    public final void destruct()

#### getDTMIdentity

    public final int getDTMIdentity()

#### hashCode

    public final int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public final boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`